Subject: FVWM_USERHOME changes and more

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 21 Apr 2000 17:56:30 +0300

I learned opinions voiced here in the last several months (plus archives).
I have a working patch, that solves most of the problems discussed.
This patch can be posted on request, it is long, because of renamings.
It does not break anything, at least I don't see what it can break.
I need 2 votes to apply this patch and no votes against.

What this patch does:

All fvwm data, which was in sysconfdir subdir, is now in datadir subdir.
fvwm still tries $sysconfdir/system.fvwm2rc if finds nothing else.

FVWM_USERHOME is renamed to FVWM_USERDIR for consistency, the old variable
name is still supported (but could be removed before 2.4, I suppose).

FVWM_USERDIR now defaults to $HOME/.fvwm not $HOME. FVWM_USERDIR directory
is now created if needed. FVWM_USERDIR variable is now exported for all
subprocesses, not only for modules (just like FVWM_MODULEDIR).

fvwm still searches for $HOME/.fvwm2rc for compatibility; but Read doesn't
specially supports $HOME (I don't think this is needed, but can be added).

This patch does not contradict with the Olivier's suggestion (corrected
by me) to add additional SearchPath to extend FVWM_USERDIR & FVWM_DATADIR.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Alex Wallis <[email-masked]>
Date: Sat, 22 Apr 2000 01:23:44 +0930

> All fvwm data, which was in sysconfdir subdir, is now in datadir subdir.

I know I'm not actually part of this discussion, but which directory is
datadir subdir exactly?

Alex

---

From: Dan Espen <[email-masked]>
Date: Fri, 21 Apr 2000 14:46:38 -0400

> I know I'm not actually part of this discussion, but which directory is

By default ${prefix}/share

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Fri, 21 Apr 2000 15:01:48 -0400

> fvwm still tries $sysconfdir/system.fvwm2rc if finds nothing else.

I did enough reading to prove to myself the sysconfdir really is
wrong and we should be using datadir.

> name is still supported (but could be removed before 2.4, I suppose).

Darn, I thought FVWM_USERHOME was consistent with $HOME.

Since we only used FVWM_USERHOME in betas, I don't see a need to support
the old name.

> subprocesses, not only for modules (just like FVWM_MODULEDIR).

So you would only export FVWM_USERDIR to go back to using $HOME or some
other directory.

> specially supports $HOME (I don't think this is needed, but can be added).

I'll vote "yes" so that Dominik can make the deciding vote.

> by me) to add additional SearchPath to extend FVWM_USERDIR & FVWM_DATADIR.

What does this mean?
Are these paths or directories?
I think they have to be directories.

---

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 21 Apr 2000 22:59:01 +0300

> So you would only export FVWM_USERDIR to go back to using $HOME or some

If $FVWM_USERDIR is defined, it is used, otherwise it is exported (and
used) to be ~/.fvwm. Exporting is needed to help shell scripts (like
fvwm-*) to know where to put their user config files without guessing.

> I think they have to be directories.

FVWM_USERDIR and FVWM_DATADIR are directories. Currently they are both
used for searching fvwm files. The new suggestion (not included in
this patch) is to support additional variable $FVWM_SEARCHPATH or a new
fvwm command SearchPath to add additional directories to search for.
So if you define: SearchPath ${HOME}:/usr/local/fvwm, - fvwm and modules
search in: FVWM_USERDIR (i.e. ~/.fvwm), ~, /usr/local/fvwm, FVWM_DATADIR.

Regards,
Mikhael.

---

From: Olivier Chapuis <[email-masked]>
Date: Mon, 24 Apr 2000 07:44:54 +0200

> I need 2 votes to apply this patch and no votes against.

I vote yes for this patch, changing the default user dir to ~/.fvwm
seems to me a very good thing.

> by me) to add additional SearchPath to extend FVWM_USERDIR & FVWM_DATADIR.

So, may be it will be not difficult to add to your patch an optinal 
env variable FVWM_SEARCHPATH which contains only one directory (and
which have to be exported by the user) to add an additional directory 
to search for fvwm. Maybe in this case we have to find an other name.

If this is the case, you may ask for a vote (and no objections) for
adding this feature to your patch?

Olivier

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 26 Apr 2000 01:45:48 +0300

> I'll vote "yes" so that Dominik can make the deciding vote.

Dominik definitely does not want to vote on this one.
His own words (http://www.hpc.uh.edu/fvwm/archive/0001/msg00029.html):

	I trust that something sensible will come out of the discussion
	without my vote :-)

I will apply this patch in a moment, since there is a consensus.
BTW, I have tested it with both Setup Form and Setup95 Script.

Regards,
Mikhael.